summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 19:43:20 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2019-06-08 19:43:20 +0200
commiteb971fe4493c9f77f26f3574c44806b47a048196 (patch)
tree7f46c8467662d699a2b0f8c3d28764d3c78a0e9b
parentc390d35cf1f08f67a7f1268373c01635f7cbc954 (diff)
downloaddeployment-eb971fe4493c9f77f26f3574c44806b47a048196.tar.gz
deployment-eb971fe4493c9f77f26f3574c44806b47a048196.tar.bz2
deployment-eb971fe4493c9f77f26f3574c44806b47a048196.zip
hier lock
-rwxr-xr-xbin/taler-deployment-config-generate5
-rwxr-xr-xbin/taler-deployment-keyup5
-rwxr-xr-xbin/taler-deployment-shared-data1
-rwxr-xr-xbuildbot/sign.sh9
4 files changed, 12 insertions, 8 deletions
diff --git a/bin/taler-deployment-config-generate b/bin/taler-deployment-config-generate
index 9995d65..1f28bef 100755
--- a/bin/taler-deployment-config-generate
+++ b/bin/taler-deployment-config-generate
@@ -21,6 +21,11 @@ if [[ -z ${TALER_CONFIG_CURRENCY+x} ]]; then
exit 1
fi
+if ! test -f $(taler-config -s paths -o taler_deployment_shared -f)/hier.lock; then
+ echo "shared-data/ hier not made yet, please run 'taler-deployment-shared-data' first"
+ exit 1
+fi
+
EXCHANGE_MASTER_PRIV=$(taler-config -s exchange -o master_priv_file -f)
AUDITOR_MASTER_PRIV=$(taler-config -s auditor -o auditor_priv_file -f)
diff --git a/bin/taler-deployment-keyup b/bin/taler-deployment-keyup
index 37b0dd9..f394aac 100755
--- a/bin/taler-deployment-keyup
+++ b/bin/taler-deployment-keyup
@@ -15,6 +15,11 @@ if ! test -f $HOME/.config/taler.conf; then
exit 1
fi
+if ! test -f $(taler-config -s paths -o taler_deployment_shared -f)/hier.lock; then
+ echo "shared-data/ hier not made yet, please run 'taler-deployment-shared-data' first"
+ exit 1
+fi
+
AUDITOR_REQUEST_DIR=$(taler-config -s exchangedb -o autitor_inputs -f)
AUDITOR_BASE_DIR=$(taler-config -s exchangedb -o auditor_base_dir -f)
EXHCANGE_PUB=$(taler-config -s exchange -o master_public_key)
diff --git a/bin/taler-deployment-shared-data b/bin/taler-deployment-shared-data
index 0757eb1..d15083f 100755
--- a/bin/taler-deployment-shared-data
+++ b/bin/taler-deployment-shared-data
@@ -68,3 +68,4 @@ done
# All dirs will give only the group RWX perms.
chmod -R 770 $SHARED_DATA/*
+touch $SHARED_DATA/hier.lock
diff --git a/buildbot/sign.sh b/buildbot/sign.sh
index cf1cd51..98bf826 100755
--- a/buildbot/sign.sh
+++ b/buildbot/sign.sh
@@ -6,11 +6,4 @@ if test "$(whoami)" = "$(cat /home/test/active)"; then
fi
source "${HOME}/activate"
-WIRE_RESPONSE=$(taler-config -s account-1 -o wire_response -f)
-
-rm -f $WIRE_RESPONSE
-
-taler-exchange-wire
-
-chgrp test $WIRE_RESPONSE
-chmod 070 $WIRE_RESPONSE
+taler-deployment-sign